# ActiveSupport::CustomLogger

Adds timestamp, request UUID and parent Process ID to each line of the Rails logger. Works on Rails 3.x & 4.x.

```
[2014-09-17T16:33:48] [663a7b21] [85324] Started GET "/" for 127.0.0.1 at 2014-09-17 16:33:48 -0700
[2014-09-17T16:33:48] [663a7b21] [85324] Processing by RootController#index as HTML
[2014-09-17T16:33:49] [663a7b21] [85324]   Rendered root/index.html.haml within layouts/application (0.1ms)
[2014-09-17T16:33:49] [663a7b21] [85324] Completed 200 OK in 28ms (Views: 27.4ms | ActiveRecord: 0.0ms)
```

Rails' Tagged Logging works for most cases, but for anything that needs to evaluate more than once per request (like a timestamp) log tags are insufficient. Custom Logger alias_method_chain's methods in ActiveSupport's BufferedLogger (Rails 3.x) or SimpleFormatter (Rails 4.x) in order to get a timestamp on each line in the log.

These three items are currently not configurable as it's version 0.0.1 and I'm making this for internal B/R use.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'active_support-custom_logger'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install active_support-custom_logger
    
## TODO

Specs.

## Contributing

1. Fork it ( https://github.com/[my-github-username]/active_support-custom_logger/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
